/**
 * 
 */
package org.gcube.accounting.analytics.persistence.couchdb;

import org.codehaus.jackson.JsonNode;
import org.ektorp.DocumentNotFoundException;
import org.ektorp.ViewQuery;
import org.ektorp.ViewResult;
import org.gcube.accounting.analytics.persistence.AccountingPersistenceBackendQueryConfiguration;
import org.gcube.testutility.ScopedTest;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * @author Luca Frosini (ISTI - CNR) http://www.lucafrosini.com/
 *
 */
public class DeleteTestDocument extends ScopedTest {
	
	private static Logger logger = LoggerFactory.getLogger(DeleteTestDocument.class);
	
	//@Test
	public void removeTestRecords() throws Exception {
		AccountingPersistenceBackendQueryConfiguration persitenceConfiguration = new AccountingPersistenceBackendQueryConfiguration(AccountingPersistenceQueryCouchDB.class);
		AccountingPersistenceQueryCouchDB accountingPersistenceQueryCouchDB = new AccountingPersistenceQueryCouchDB();
		accountingPersistenceQueryCouchDB.prepareConnection(persitenceConfiguration);
		
		ViewQuery query = new ViewQuery().designDocId("_design/TestRecords");
		query = query.viewName("testRecords");
		query = query.includeDocs(true);
		
		ViewResult viewResult;
		try {
			viewResult = accountingPersistenceQueryCouchDB.query(query);
		} catch (DocumentNotFoundException e) {
			// Install VIEW if valid and does not exist
			throw e;
		}
		
		for (ViewResult.Row row : viewResult) {
			String key = row.getKey();
			JsonNode node = row.getValueAsNode();
			logger.debug("Going to delete {}", node);
			String rev = node.get("_rev").asText();
			//accountingPersistenceQueryCouchDB.couchDbConnector.delete(key, rev);
		}
		
	}
	
	
}
