package org.gcube.accounting.couchdb.query;

import java.util.HashMap;
import java.util.Map;

import org.gcube.accounting.persistence.AccountingPersistenceFactory;
import org.gcube.testutility.ScopedTest;
import org.junit.Test;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * @author Luca Frosini (ISTI - CNR) http://www.lucafrosini.com/
 */
public class CouchDBQueryPluginTest extends ScopedTest {

	/**
	 * Logger
	 */
	private static Logger logger = LoggerFactory.getLogger(CouchDBQueryPluginTest.class);
	
	
	@Test
	public void testLaunch() throws Exception {
		logger.debug("Starting to test launch()");
		AccountingPersistenceFactory.initAccountingPackages();
		Map<String, Object> inputs = new HashMap<String, Object>();
		inputs.put(CouchDBQueryPlugin.DELAY_MILLIS, 1000*5); // Delay 10 sec
		inputs.put(CouchDBQueryPlugin.MAX_RETRY_NUMBER, 0); // No Retry
		CouchDBQueryPlugin couchDBQueryPlugin = new CouchDBQueryPlugin(null);
		couchDBQueryPlugin.launch(inputs);
		logger.debug("-------------- launch() test finished");
	}
	
}
